Skip to main content
GET
/
apps
/
{client_id}
/
workflows
curl -H "Authorization: Bearer sk_workspace_test_..." \
  "https://sandbox.api.hopae.com/connect/v1/apps/abc123/workflows"
[
  {
    "workflowId": "wf_default",
    "name": "Default",
    "entryNodeId": "nd_req",
    "nodes": [
      { "id": "nd_req", "type": "request", "next": "nd_verify" },
      { "id": "nd_verify", "type": "verification", "next": "nd_resp", "config": { "channel": "oidc", "claims": ["name"] } },
      { "id": "nd_resp", "type": "response" }
    ],
    "createdAt": "2025-01-10T08:00:00.000Z",
    "updatedAt": "2025-01-10T08:00:00.000Z"
  }
]
Returns all workflows for the app, including the default workflow.

Request

Authorization
string
required
Bearer <API_KEY> from Console > Developers > Workspace API Keys.

Path parameters

client_id
string
required
Client identifier of the app.

Response

Returns an array of workflow objects.
curl -H "Authorization: Bearer sk_workspace_test_..." \
  "https://sandbox.api.hopae.com/connect/v1/apps/abc123/workflows"
[
  {
    "workflowId": "wf_default",
    "name": "Default",
    "entryNodeId": "nd_req",
    "nodes": [
      { "id": "nd_req", "type": "request", "next": "nd_verify" },
      { "id": "nd_verify", "type": "verification", "next": "nd_resp", "config": { "channel": "oidc", "claims": ["name"] } },
      { "id": "nd_resp", "type": "response" }
    ],
    "createdAt": "2025-01-10T08:00:00.000Z",
    "updatedAt": "2025-01-10T08:00:00.000Z"
  }
]